 /*---------------------------------------
  NAVIGATION BAR & OFFCANVAS              
-----------------------------------------*/
/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --black-color: hsl(220, 24%, 12%);
  --black-color-light: hsl(220, 24%, 15%);
  --black-color-lighten: hsl(220, 20%, 18%);
  --white-color: #fff;
  --body-color: hsl(220, 100%, 97%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
  --normal-font-size: .938rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-semi-bold: 600;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*========== Responsive typography ==========*/
@media screen and (min-width: 1024px) {
  :root {
    --normal-font-size: 1rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
}

ul {
  list-style: none;
  /* Color highlighting when pressed on mobile devices */
  /*-webkit-tap-highlight-color: transparent;*/
}

a {
  text-decoration: none;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 1120px;
  margin-inline: 1.5rem;
}

/*=============== HEADER ===============*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: #efefef;
  /* background: rgba(0, 0, 0, 0.65); */
  box-shadow: 0 2px 16px hsla(220, 32%, 8%, .3);
  z-index: var(--z-fixed);
  justify-content: space-between;
}

/*=============== NAV ===============*/
.nav {
  height: var(--header-height);
}

.nav-container{
  display: flex;
  justify-content: space-evenly;
}

.nav__logo,
.nav__burger,
.nav__close {
  color: var(--white-color);
}

.nav__data {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}



.nav__logo {
  display: inline-flex;
  align-items: center;
  column-gap: .25rem;
  font-weight: var(--font-semi-bold);
  /* Color highlighting when pressed on mobile devices */
  /*-webkit-tap-highlight-color: transparent;*/
}


.nav__logo i {
  font-weight: initial;
  font-size: 1.25rem;
}

.nav__toggle {
  position: relative;
  width: 32px;
  height: 32px;
}

.nav__burger,
.nav__close {
  position: absolute;
  width: max-content;
  height: max-content;
  inset: 0;
  margin: auto;
  font-size: 1.25rem;
  cursor: pointer;
  transition: opacity .1s, transform .4s;
  color:black ;
}

.nav__close {
  opacity: 0;
}

@media (max-width:768px){
  .nav__logo{
    margin-bottom: 10px;
  }
}

.dropdown__menu{
  width: 18vw;
}

/* Navigation for mobile devices */
@media screen and (max-width: 1118px)   {
  .dropdown__menu{
    width: fit-content;
  }
  .nav__data{
    width: 100%;
  }
  .nav__menu {
    position: absolute;
    left: 0;
    top: 2.5rem;
    width: 100%;
    height: calc(100vh - 3.5rem);
    overflow: auto;
    pointer-events: none;
    opacity: 0;
    transition: top .4s, opacity .3s;
  }

  .nav__menu::-webkit-scrollbar {
    width: 0;
  }

  .nav__list {
    background-color: #efefef;
    padding-top: 1rem;
    margin-top: 18px;
  }
}

.nav__link {
  color: black;
  font-weight: var(--font-semi-bold);
  padding: 1.25rem 1.5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 18px;
  transition: background-color .3s;
}

.nav__link:hover {
  background-color: transparent;

}

/* Show menu */
.show-menu {
  opacity: 1;
  top: 3.5rem;
  pointer-events: initial;
}

/* Show icon */
.show-icon .nav__burger {
  opacity: 0;
  transform: rotate(90deg);
}

.show-icon .nav__close {
  opacity: 1;
  transform: rotate(90deg);
}

/*=============== DROPDOWN ===============*/
.dropdown__item {
  cursor: pointer;
  border-radius: 20px;

}

.dropdown__arrow {
  font-size: 1.25rem;
  font-weight: initial;
  transition: transform .4s;
}

.dropdown__link,
.dropdown__sublink {
  padding: 1.25rem 1.25rem 1.25rem 2.5rem;
  color: black;
  background-color: #dcdcdc;
  display: flex;
  font-size: 18px;
  align-items: center;
  column-gap: .5rem;
  font-weight: var(--font-semi-bold);
  transition: background-color .3s;
}

.dropdown__link i,
.dropdown__sublink i {
  font-size: 1.25rem;
  font-weight: initial;
}

.dropdown__link:hover,
.dropdown__sublink:hover {
  background-color: white;
}


.dropdown__menu,
.dropdown__submenu {
  max-height: 0;
  overflow: hidden;
  transition: max-height .4s ease-out;
}

/* Show dropdown menu & submenu */
.dropdown__item:hover .dropdown__menu,
.dropdown__subitem:hover>.dropdown__submenu {
  max-height: 1000px;
  transition: max-height .4s ease-in;
}

/* Rotate dropdown icon */
.dropdown__item:hover .dropdown__arrow {
  transform: rotate(180deg);
}

/*=============== DROPDOWN SUBMENU ===============*/
.dropdown__add {
  margin-left: auto;
}

.dropdown__sublink {
  background-color: var(--black-color-lighten);
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 340px) {
  .container {
    margin-inline: 1rem;
  }

  .nav__link {
    padding-inline: 1rem;
  }
}

/* For large devices */
@media screen and (min-width: 1118px) {
  .container {
    margin-inline: auto;
  }

  .nav {
    height: calc(var(--header-height) + 2rem);
    display: flex;
    justify-content: space-between;
  }

  .nav__toggle {
    display: none;
  }

  .nav__list {
    height: 85% !important;
    display: flex;
    column-gap: 3rem;
  }

  .nav__link {
    height: 100%;
    padding: 0;
    justify-content: initial;
    column-gap: .25rem;
  }

  .nav__link:hover {
    background-color: transparent;
  }

  .dropdown__menu:hover{
    border-radius: 20px;
  }

  .dropdown__item,
  .dropdown__subitem {
    position: relative;
  }

  .dropdown__menu,
  .dropdown__submenu {
    max-height: initial;
    overflow: initial;
    position: absolute;
    left: 0;
    top: 6rem;
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s, top .3s;
  }

  .dropdown__link,
  .dropdown__sublink {
    padding-inline: 1rem 3.5rem;
  }

  .dropdown__subitem .dropdown__link {
    padding-inline: 1rem;
  }

  .dropdown__submenu {
    position: absolute;
    left: 100%;
    top: .5rem;
  }

  /* Show dropdown menu */
  .dropdown__item:hover .dropdown__menu {
    opacity: 1;
    top: 5.5rem;
    pointer-events: initial;
    transition: top .3s;
  }

  /* Show dropdown submenu */
  .dropdown__subitem:hover>.dropdown__submenu {
    opacity: 1;
    top: 0;
    pointer-events: initial;
    transition: top .3s;
  }
}
#button a {
  border: 1px solid rgb(0, 0, 0);
  color: rgb(0, 0, 0);
  border-radius: 20px;
  font-size: 18px;
  padding: 10px !important;
}

#button a:hover {
  background: linear-gradient(to right, #F7AE15 0%, #EB3C21 100%);
  color: white;
}

     #unique:hover {
        background: linear-gradient(to right, #F7AE15 0%, #EB3C21 100%);
        color: white;
      }

/*---------------------------------------
  BOOKING SECTION              
-----------------------------------------*/
.booking-section {
  /* background-image: url("/images/contact1.jpg"); */
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  position: relative;
}
@media  screen and (min-width:1118px) {
  .booking-section{
    background-size: cover;
    max-width: 100vw;
  }

  .booking-form{
  max-width: 100%;
  }
  .booking-form-wrap{
    max-width: 100%;
  }
}
.booking-form-wrap {
  background-color: rgba(0, 0, 0, 0.65);
  border-radius: var(--border-radius-medium);
  position: relative;
  overflow: hidden;
  margin-top: 100px;
}

.booking-form {
  padding: 30px 40px;
}

.booking-form-image-wrap {
  position: relative;
  height: 100%;
}

.booking-form-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.booking-form-text span {
  color: var(--white-color);
  font-size: var(--btn-font-size);
}

.reservation-page .custom-border-btn {
  border-color: var(--secondary-color);
  color: var(--secondary-color);
}

.reservation-page .custom-border-btn:hover {
  border-color: transparent;
}

/*---------------------------------------
  CONTACT               
-----------------------------------------*/
.contact-section {
  background-image: linear-gradient(
    to bottom,
    rgba(156, 153, 153, 0.5),
    rgba(135, 130, 130, 0)
  );
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.google-map {
  border-radius: var(--border-radius-medium);
  filter: grayscale(100);
}

.contact-block-wrap {
  background: var(--primary-color);
  border-radius: var(--border-radius-medium);
  padding: 0;
  min-height: 70px;
}

.contact-block {
  background: var(--secondary-color);
  border-radius: var(--border-radius-medium);
  transform: rotate(8deg);
  height: 70%;
  padding: 20px 40px;
}

.contact-block h6 {
  transform: rotate(-8deg);
}

.contact-block .custom-icon {
  background: var(--primary-color);
  border-radius: var(--border-radius-large);
  display: block;
  width: 50px;
  height: 50px;
  line-height: 50px;
  text-align: center;
  position: relative;
}

.contact-block strong {
  display: block;
  color: var(--white-color);
  text-transform: uppercase;
  margin-top: 20px;
  margin-bottom: 10px;
}

/*---------------------------------------
  CUSTOM FORM               
-----------------------------------------*/
.custom-form .form-control {
  color: var(--dark-color);
  border-radius: #787878;
  margin-bottom: 30px;
  padding-top: 13px;
  padding-bottom: 13px;
  box-shadow: none;
  outline: none;
  transition: all 0.3s;
}

.custom-form .form-control {
  color: #e0e0e0;
}

.custom-form .form-control:hover,
.custom-form .form-control:focus {
  background: #787878;
  border-color: #787878;
}

.custom-form .form-label {
  color: var(--dark-color);
  font-style: italic;
  margin-bottom: 15px;
}

.custom-form button[type="submit"] {
  background: #d4d4d4;
  border: none;
  border-radius: var(--border-radius-large);
  color: var(--dark-color);
  font-size: var(--form-btn-font-size);
  font-weight: var(--font-weight-bold);
  transition: all 0.3s;
  margin-bottom: 0;
}

.custom-form button[type="submit"]:hover,
.custom-form button[type="submit"]:focus {
  background: linear-gradient(to right, #f7ae15, #eb3c21);
  border-color: black;
  color: white;
}

.contact-form .form-control,
.booking-form .form-control {
  background-color: transparent;
  border-color: rgba(255, 255, 255, 0.25);
}

.booking-form .form-control {
  color: var(--white-color);
}

.custom-form input::-webkit-input-placeholder,
.custom-form textarea::-webkit-input-placeholder {
  color: var(--white-color);
}

.booking-form input:-moz-placeholder,
.booking-form textarea:-moz-placeholder {
  color: var(--white-color);
}